static ::llvm::LogicalResult CastOpInterfacePDLFn(::mlir::PatternRewriter &rewriter, ::mlir::Operation * self) {
  return ::mlir::success(llvm::isa<::mlir::CastOpInterface>(self));
}

namespace {

struct TestSimplePattern : ::mlir::PDLPatternModule {
  template <typename... ConfigsT>
  TestSimplePattern(::mlir::MLIRContext *context, ConfigsT &&...configs)
    : ::mlir::PDLPatternModule(::mlir::parseSourceString<::mlir::ModuleOp>(
R"mlir(pdl.pattern @TestSimplePattern : benefit(0) {
  %0 = operands loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":13:38)
  %1 = types loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":13:38)
  %2 = operation "test.simple"(%0 : !pdl.range<value>)  -> (%1 : !pdl.range<type>) loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":13:38)
  rewrite %2 {
    %3 = operation "test.success"  loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":13:59)
    replace %2 with %3 loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":13:30)
  } loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":13:30)
} loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":13:1)
    )mlir", context), std::forward<ConfigsT>(configs)...) {
  }
};


struct TestInterface : ::mlir::PDLPatternModule {
  template <typename... ConfigsT>
  TestInterface(::mlir::MLIRContext *context, ConfigsT &&...configs)
    : ::mlir::PDLPatternModule(::mlir::parseSourceString<::mlir::ModuleOp>(
R"mlir(pdl.pattern @TestInterface : benefit(0) {
  %0 = operands loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":16:34)
  %1 = types loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":16:34)
  %2 = operation(%0 : !pdl.range<value>)  -> (%1 : !pdl.range<type>) loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":16:34)
  apply_native_constraint "CastOpInterface"(%2 : !pdl.operation) loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":16:37)
  rewrite %2 {
    %3 = operation "test.success"  loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":16:58)
    replace %2 with %3 loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":16:26)
  } loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":16:26)
} loc("/builddir/build/BUILD/mlir-19.1.7-build/mlir-19.1.7.src/test/lib/Tools/PDLL/TestPDLL.pdll":16:1)
    )mlir", context), std::forward<ConfigsT>(configs)...) {
    registerConstraintFunction("CastOpInterface", CastOpInterfacePDLFn);
  }
};

} // end namespace

template <typename... ConfigsT>
static void LLVM_ATTRIBUTE_UNUSED populateGeneratedPDLLPatterns(::mlir::RewritePatternSet &patterns, ConfigsT &&...configs) {
  patterns.add<TestSimplePattern>(patterns.getContext(), configs...);
  patterns.add<TestInterface>(patterns.getContext(), configs...);
}
